## org.apache.lucene.util
Class AttributeSource.State

    java.lang.Object
      org.apache.lucene.util.AttributeSource.State

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  AttributeSource

    public static final class AttributeSource.State

extends java.lang.Object
implements java.lang.Cloneable

This class holds the state of an AttributeSource.

See Also:
  `AttributeSource.captureState()`, `AttributeSource.restoreState(org.apache.lucene.util.AttributeSource.State)`

Constructor Summary
`AttributeSource.State()`

Method Summary
`java.lang.Object` `clone()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeSource.State

    public AttributeSource.State()

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.